## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<table class="appointment">
  <tr>
    <th class="date table_header_h">${_('app_overview_tbl_header_date')}</th>
    <th class="title table_header_h">${_('app_overview_tbl_header_desc')}</th>
    <th class="action table_header_h">${_('app_overview_tbl_header_actions')}</th>
  </tr>
  % for appointment in c.remindlist.getDatasets():
  <tr>
    <td class="date">${h.dd_mm_YYYY(appointment.getStartDate())}</td>
    <td class="title">${appointment.title | F.NA}</td>
    <td class="action">
     ${self.showAppointmentActions(appointment)}
     % if h.hasRole(['cm_ka']):
      ${self.showKeepActiveActions(appointment)}
    % endif
    </td>
  </tr>
  <tr>
    <% description = F.shorten(appointment.description, 120) %>
    <td colspan="3" class="description">${description | F.NA}</td>
  </tr>
  % endfor
  % if len(c.remindlist.getDatasets()) <= 0:
  <tr>
    <td colspan="3">Keine Wiedervorlagen gefunden</td>
  </tr>
  % endif
</table>

<%def name="showAppointmentActions(appointment)">
## Default function 
</%def>
<%def name="showKeepActiveActions(appointment)">
## Default function 
</%def>
