## -*- coding: utf-8 -*-
<%inherit file="../base.mako" />
<div id="wrapper_login" >
  <div id="header_login">
    <div id="logo_login">
      <img src="${h.url_for('/images/logos/logo_ka_75.png')}" alt="${_('Logo agency')}" border="0">
    </div>
  </div>
  <div id="content_login">
    ${next.body()}
  </div>
  <div id="footer_login">
    <p>${_('main_login_bmf_phrase') % h.get_app_title()}</p>
     <a target="_blank" href="http://www.bmfsfj.de">
      <img src="${h.url_for('/images/logos/BMFSFJ_C_M_web.jpg')}" 
        alt="Logo Bundesministerium f&#252;r Familie, Senioren, Frauen und Jugend" border="0">
    </a>
     <a target="_blank" href="http://ec.europa.eu/employment_social/esf2000/index_de.html">
      <img src="${h.url_for('/images/logos/eu_logo_4c_pos_web2.jpg')}" 
        alt="Logo Europ&#228;ische Union - Europ&#228;ische Sozialfonds" border="0">
    </a>
  </div>
</div>

<%def name="buildFormErrors()">
    <%
      # Please fill this dictionary in the templates if you want to substitute
      # the formular identifier
      formular_labels = {'passwd': 'adm_form_newuser_passwd',
                          'passwd2': 'adm_form_newuser_passwd_confirm'
                          }
    %>
  % if len(c.form_errors) > 0:
  <div class="form_errors">
    <a name="error_list"><h1>${_('main_login_formular_input_error')}</h1></a>
    <ul>
      % for key, value in c.form_errors.iteritems():
        <li>${_(formular_labels.get(key, '%s' % key))}: ${value}</li>
      % endfor
    </ul>
  </div>
  % endif
</%def>
