## -*- coding: utf-8 -*-
<%inherit file="/main.mako"/>
<%!  import mpulsweb.lib.helper.filters as F %>
<div>
  ##<div class="widget modusfield actions">
  ##  <ul>
  ##    <li><a href="${h.url_for(controller='/administration', action='resetPassword', id=c.user.id)}">${_('Reset password')}</a></li>
  ##    <li><a href="${h.url_for(controller='/administration', action='listUsers')}">${_('Back to userlist')}</a></li>
  ##  </ul>
  ##</div>
  <div class="header">
    <h1>${_('Evaluation configuration')}</h1>
  </div>
</div>
<div>
<form action="${h.url_for(controller='/evaluate', action='evaluateAction')}" method="POST" target="_blank">
<% 
   if c.adele_evaluation:
       adele_disabled = h.literal('disabled="disabled"')
   else:
       adele_disabled = ""
%>
<input type="hidden" name="id">
<table>
  <tr>
    <td class="label">${_('Name')}</td>
    <td>${c.evalconfig.get_setname()}</td>
  </tr>
  <tr>
    <td class="label">${_('Description')}</td>
    <td>${c.evalconfig.get_setdesc()}</td>
  </tr>
  <tr>
    <td class="label">${_('Phase')}</td>
    <td>
      % for n,p in enumerate(c.phases):
        <input type="checkbox" name="phase" id="phase_${n}" value="${p.id}" 
               ${adele_disabled}>
          <label for="phase_${n}">
            ${p.getDescription()}<br>
          </label>
      % endfor
    </td>
  </tr>
  <tr>
    <td class="label">Start</td>
    <td>
      <input type="text" name="start_date" class="datefield" ${adele_disabled}>
      <form:error name="start_date" format="">
    </td>
  </tr>
  <tr>
    <td class="label">Ende</td>
    <td>
      <input type="text" name="end_date" class="datefield" ${adele_disabled}>
      <form:error name="end_date" format="">
    </td>
  </tr>
  <%include file="/evaluation/evaluate_extra.mako" 
            args="adele_disabled=adele_disabled"/>
  <%
     evaluation_ids = session.get("evaluation_ids")
   %>
  % if evaluation_ids:
  <tr>
    <td class="label">${_('Filter')}</td>
    <td>
      ${_("Yes")} (<a href="${h.url_for(controller='/evaluate', action='reset_filter', id=c.evalconfig.get_setid())}">${_("Reset")}</a>)<br>
      ${(ungettext("%d case has been selected for evaluation",
                   "%d cases have been selected for evaluation",
                   len(evaluation_ids)) % len(evaluation_ids))}
      <input type="hidden" name="selected_ids">
    </td>
  </tr>
  % endif
</table>
<h2>${_('Available evaluations')}</h2>
<p>${_('Please select one or more evaluations')}</p>
<table style="table-layout:auto">
  <tr>
    <th colspan="2">${_('Evaluations')}</th>
  </tr>
  % for num, id in enumerate(c.evalconfig.get_evaluations()):
  <tr>
    <td class="${num%2 and 'hl' or ''}">
      <input type="checkbox" name="typelist" value="${id}" id="${id}">
    </td>
    <td class="${num%2 and 'hl' or ''}">
      <h3><label for="${id}">${c.evalconfig.get_name(id)}</label></h3>
      <p><label for="${id}">${c.evalconfig.get_desc(id)}</label></p>
    </td>
  </tr>
  % endfor
</table>
<table>
  <tr>
    <td colspan="3"><input type="checkbox" name="show_percent" id="show_percent"> <label for="show_percent">${_('Show percent')}</label></td> 
  </tr>
  <tr>
    <td colspan="3"><input type="submit" name="setup_evaluation" value="${_('evaluate')}"></td> 
  </tr>
</table>
</form>
</div>
