## -*- coding: utf-8 -*-
<%def name="get_typ_name(id)">
    % for types in g.mpuls_config.get('logbook', 'types')[1]['options']:
        % if unicode(types[0]) == unicode(id):
            ${types[1]}
        % endif
    % endfor
</%def>

% if len(g.mpuls_config.get('logbook', 'types')) > 1:
<table class="evaluation">
    <tr>
        <th class="table_header_h ">Art</th>
        <th class="table_header_h table_width_mid_s num">Anzahl der Kontakte</th>
        <th class="table_header_h table_width_mid_s num">Aufwand (Minuten)</th>
        <th class="table_header_h table_width_mid_s num">in Prozent</th>
    </tr>
    % for class_statistic in c.eval_typ_effort['types']:
    <tr>
        <td style="padding-left:1em;">
            ${get_typ_name(class_statistic['typ'])}
        </td>
        <td class="num">
            ${"%.f" % class_statistic['amount']}
        </td>
        <td class="num">
            ${"%.f" % class_statistic['time']}
        </td>
        <td class="num">
            ${"%.1f" % class_statistic['percent']}
        </td>
    </tr>
    % endfor
    <tr class="table_row_v_12">
        <td>
            <b>GESAMT</b>
        </td>
        <td class="num">
            ${"%.f" % c.eval_typ_effort['total']['amount']}
        </td>
        <td class="num">
            ${"%.f" % c.eval_typ_effort['total']['time']}
        </td>
        <td class="num">
            ${c.eval_typ_effort['total']['percent']}
        </td>
    </tr>
</table>
% endif