## -*- coding: utf-8 -*-
<%!  import mpulsweb.lib.helper.filters as F %>
<%inherit file="/main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url_for(controller='/case', action='select', id=session.get('case').id)}">${_('cm_np_select')}</a></li>
  <li><a href="#">${_('case_cm_phase')}</a></li>
</%def>
<div class="dialog" />
  <h1><img src="${h.url_for('/images/icons/info/confirmation.png')}" alt="Erledigt"/>${c.dialog_title | F.NA}</h1>
  <p>${c.dialog_text | F.NA}</p>
  <div class="import_box_dialog">
    <p>
      Beachten Sie, dass bei einem Phasenwechsel die Fallakte in ausgedruckter
      Form dem jungen Menschen ausgehändigt werden sollte. Weitere Informationen
      dazu finden Sie in der 
      <a href="${h.url_for(controller='/annotations', action='help', id='datenschutz_veraenderte_daten')}" target="_blank">Hilfe</a>
    </p>
    <p class="import_p">
      <strong class="import_number">1.</strong> Fallakte drucken:
      <a class="button import" href="${h.url_for(controller='/case', action='printAll', id=session.get('case').id, confirmed=0)}" target="_blank">Drucken</a>
    </p>
    % if g.mpuls_config.is_enabled('case-module', 'phase'):
    <p class="import_p">
      <strong class="export_number">2.</strong> Phasenwechsel im Falltagebuch dokumentieren:
      <a class="button import" href="${h.url_for(controller='/logbook', action='new', id=session.get('case').id)}">Falltagebuch</a>
    </p>
    % endif
    <p><strong>oder</strong></p>
    <p class="import_p">
      % if g.mpuls_config.is_enabled('case-module', 'phase'):
        <strong class="export_number">3.</strong> Zur Phasenübersicht zurückkehren:
      % else:
        <strong class="export_number">2.</strong> Zur Phasenübersicht zurückkehren:
      % endif
      <a class="button import" href="${c.url_ok}">Phasenübersicht</a>
    </p>
  </div>
</div>
