#!/bin/bash

DB=$1
PORT=$2
START=$3
END=$4

COUNT=${START}

psql -c "SELECT rolname FROM pg_roles" -o userlist
while [ ${COUNT} -le ${END} ]
do
        if [ ${COUNT} -le 9 ]; then
                DBNAME=${DB}0${COUNT}
        else
                DBNAME=${DB}${COUNT}
        fi
        echo Dropping ${DBNAME};
        dropdb ka_${DBNAME}_db -p ${PORT}
        for user in `cat userlist | grep ${DBNAME}`; do
                dropuser ${user}
        done;
        dropuser ka_${DBNAME}_adm
        dropuser ka_${DBNAME}_admin
        dropuser ka_${DBNAME}_cm
        dropuser ka_${DBNAME}_pb
        ((COUNT++));
done;
rm userlist
