## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url_for(controller='/administration')}">${_('adm_np_root')}</a></li>
  <li><a href="${h.url_for(controller='/administration', action='overviewUserGroups')}">${_('adm_np_usergroup_overview')}</a></li>
</%def>


<div id="content_header_small">
  <div id="content_ueberschrift">
 ${_('adm_header_usergroup_overview')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li><a href="${h.url_for(controller='/administration', action='newUserGroup')}"> ${_('adm_actions_link_newusergroup')}</a></li>
      </ul>
    </div>
  </div>
</div>
<table class="hovertable">
  <tr>
    <th class="table_header_h table_width_mid">${_('adm_overview_tbl_header_groupname')}</th>
    <th class="table_header_h table_width_mid_s">${_('adm_overview_tbl_header_actions')}</th>
  </tr>
  <% idset = 0 %>
  % for group in c.group_overview:
    % if idset==0:
     <tr>
    <% idset = 1 %>
    % else:
    <tr class="table_row_h">
    <% idset = 0 %>
     % endif
       <td>
            <a href="${h.url_for(controller='/administration', action='showUserGroup', id=group.id)}">${group.name| F.NA}</a>
       </td>
       <td>
         <a href="${h.url_for(controller='/administration', action='showUserGroup', id=group.id)}"><img src="${h.url_for('/images/icons/open_active_22.png')}" border="0" alt="${_('cm_overview_a_show')}" title="${_('cm_overview_a_show')}"></a>
         <a href="${h.url_for(controller='/administration', action='deleteUserGroup', id=group.id)}"><img src="${h.url_for('/images/icons/delete_active_22.png')}" border="0" alt="${_('cm_overview_a_delete')}" title="${_('cm_overview_a_delete')}"></a>
       </td>
     </tr>
  % endfor
  % if len(c.group_overview) <= 0:
    <tr>
      <td colspan="2">
        ${_('cm_overview_tbl_no_data_found')}
      </td>
    </tr>
  % endif
</table>
