<%inherit file="/casemanagement/main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url_for(controller='/case', action='select', id=session.get('case').id, confirmed=1)}">${_('cm_np_select')}</a></li>
  <li><a href="${h.url_for(controller='/logbook', action='index', id=session.get('case').id)}">Tagebuch</a></li>
  <li><a href="#"></a>Tagebucheintrag</a></li>
</%def>
<div id="content_header_small">
  <div id="content_ueberschrift">
    Tagebucheintrag    
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        % if h.hasRole(['cm_ka']) and c.entry.getKindAsInt() != 0 and session.get('case').getState().getState() == 1:
        <li>
          <a href="${h.url_for(controller='/logbook', action='edit', id=c.entry.id)}">
            In Bearbeitung nehmen
          </a>
        </li>
        % endif
        <li>
          <a href="${h.url_for(controller='/logbook', action='index', id=session.get('case').id)}">Zur&uuml;ck zu: Tagebuch</a>
        </li>
      </ul>
    </div>
  </div>
</div>
<table>
    <tbody>
        <tr>
            <td class="label table_header_v table_width_long">Datum</td>
            <td class="table_row_v">${c.entry.getDate()} ${c.entry.getTime()}</td>
        </tr>
        <tr>
            <td class="label">Bearbeiter/in</td>
            <td class="table_row_v_2">${c.entry.getEditor()}</td>
        </tr>
        <tr>
            <td class="label table_header_v">Art</td>
            <td class="table_row_v">${c.entry.getKind()}</td>
        </tr>
        <tr>
            <td class="label">Dauer in Minuten</td>
            <td class="table_row_v_2">${c.entry.getDuration('-/-')}</td>
        </tr>
        <tr>
            <td class="label table_header_v">Notiz</td>
            <% description = F.nl_to_br(h.escape(F.NA(c.entry.notiz))) %>
            <td class="table_row_v">${description}</td>
        </tr>
    </tbody>
</table>
